CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
  Take a third party risk management course for FREE
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Jenkins : Security Vulnerabilities

Press ESC to close
# CVE ID CWE ID # of Exploits Vulnerability Type(s) Publish Date Update Date Score Gained Access Level Access Complexity Authentication Conf. Integ. Avail.
1 CVE-2013-5573 79 1 XSS 2013-12-31 2017-08-29
4.3
None Remote Medium Not required None Partial None
Cross-site scripting (XSS) vulnerability in the default markup formatter in Jenkins 1.523 allows remote attackers to inject arbitrary web script or HTML via the Description field in the user configuration.
2 CVE-2022-36922 79 XSS 2022-07-27 2022-08-04
0.0
None ??? ??? ??? ??? ??? ???
Jenkins Lucene-Search Plugin 370.v62a5f618cd3a and earlier does not escape the search query parameter displayed on the 'search' result page, resulting in a reflected cross-site scripting (XSS) vulnerability.
3 CVE-2022-36921 862 2022-07-27 2022-08-03
0.0
None ??? ??? ??? ??? ??? ???
A missing permission check in Jenkins Coverity Plugin 1.11.4 and earlier allows attackers with Overall/Read permission to connect to an attacker-specified URL using attacker-specified credentials IDs obtained through another method, capturing credentials stored in Jenkins.
4 CVE-2022-36920 352 CSRF 2022-07-27 2022-08-03
0.0
None ??? ??? ??? ??? ??? ???
A cross-site request forgery (CSRF) vulnerability in Jenkins Coverity Plugin 1.11.4 and earlier allows attackers to connect to an attacker-specified URL using attacker-specified credentials IDs obtained through another method, capturing credentials stored in Jenkins.
5 CVE-2022-36919 862 2022-07-27 2022-08-03
0.0
None ??? ??? ??? ??? ??? ???
A missing permission check in Jenkins Coverity Plugin 1.11.4 and earlier allows attackers with Overall/Read permission to enumerate credentials IDs of credentials stored in Jenkins.
6 CVE-2022-36918 862 2022-07-27 2022-08-03
0.0
None ??? ??? ??? ??? ??? ???
Jenkins Buckminster Plugin 1.1.1 and earlier does not perform a permission check in a method implementing form validation, allowing attackers with Overall/Read permission to check for the existence of an attacker-specified file path on the Jenkins controller file system.
7 CVE-2022-36917 862 2022-07-27 2022-08-03
0.0
None ??? ??? ??? ??? ??? ???
A missing permission check in Jenkins Google Cloud Backup Plugin 0.6 and earlier allows attackers with Overall/Read permission to request a manual backup.
8 CVE-2022-36916 352 CSRF 2022-07-27 2022-08-03
0.0
None ??? ??? ??? ??? ??? ???
A cross-site request forgery (CSRF) vulnerability in Jenkins Google Cloud Backup Plugin 0.6 and earlier allows attackers to request a manual backup.
9 CVE-2022-36915 862 2022-07-27 2022-08-04
0.0
None ??? ??? ??? ??? ??? ???
Jenkins Android Signing Plugin 2.2.5 and earlier does not perform a permission check in a method implementing form validation, allowing attackers with Item/Read permission but without Item/Workspace or Item/Configure permission to check whether attacker-specified file patterns match workspace contents.
10 CVE-2022-36914 862 2022-07-27 2022-08-04
0.0
None ??? ??? ??? ??? ??? ???
Jenkins Files Found Trigger Plugin 1.5 and earlier does not perform a permission check in a method implementing form validation, allowing attackers with Overall/Read permission to check for the existence of an attacker-specified file path on the Jenkins controller file system.
11 CVE-2022-36913 862 2022-07-27 2022-08-03
0.0
None ??? ??? ??? ??? ??? ???
Jenkins Openstack Heat Plugin 1.5 and earlier does not perform permission checks in methods implementing form validation, allowing attackers with Overall/Read permission to check for the existence of an attacker-specified file path on the Jenkins controller file system.
12 CVE-2022-36912 862 2022-07-27 2022-08-03
0.0
None ??? ??? ??? ??? ??? ???
A missing permission check in Jenkins Openstack Heat Plugin 1.5 and earlier allows attackers with Overall/Read permission to connect to an attacker-specified URL.
13 CVE-2022-36911 352 CSRF 2022-07-27 2022-08-02
0.0
None ??? ??? ??? ??? ??? ???
A cross-site request forgery (CSRF) vulnerability in Jenkins Openstack Heat Plugin 1.5 and earlier allows attackers to connect to an attacker-specified URL.
14 CVE-2022-36910 862 +Info 2022-07-27 2022-08-03
0.0
None ??? ??? ??? ??? ??? ???
Jenkins Lucene-Search Plugin 370.v62a5f618cd3a and earlier does not perform a permission check in several HTTP endpoints, allowing attackers with Overall/Read permission to reindex the database and to obtain information about jobs otherwise inaccessible to them.
15 CVE-2022-36909 862 2022-07-27 2022-08-03
0.0
None ??? ??? ??? ??? ??? ???
A missing permission check in Jenkins OpenShift Deployer Plugin 1.2.0 and earlier allows attackers with Overall/Read permission to check for the existence of an attacker-specified file path on the Jenkins controller file system and to upload a SSH key file from the Jenkins controller file system to an attacker-specified URL.
16 CVE-2022-36908 352 CSRF 2022-07-27 2022-08-03
0.0
None ??? ??? ??? ??? ??? ???
A cross-site request forgery (CSRF) vulnerability in Jenkins OpenShift Deployer Plugin 1.2.0 and earlier allows attackers to check for the existence of an attacker-specified file path on the Jenkins controller file system and to upload a SSH key file from the Jenkins controller file system to an attacker-specified URL.
17 CVE-2022-36907 862 2022-07-27 2022-08-03
0.0
None ??? ??? ??? ??? ??? ???
A missing permission check in Jenkins OpenShift Deployer Plugin 1.2.0 and earlier allows attackers with Overall/Read permission to connect to an attacker-specified URL using attacker-specified username and password.
18 CVE-2022-36906 352 CSRF 2022-07-27 2022-08-03
0.0
None ??? ??? ??? ??? ??? ???
A cross-site request forgery (CSRF) vulnerability in Jenkins OpenShift Deployer Plugin 1.2.0 and earlier allows attackers to connect to an attacker-specified URL using attacker-specified username and password.
19 CVE-2022-36905 79 XSS 2022-07-27 2022-08-03
0.0
None ??? ??? ??? ??? ??? ???
Jenkins Maven Metadata Plugin for Jenkins CI server Plugin 2.2 and earlier does not perform URL validation for the Repository Base URL of List maven artifact versions parameters, resulting in a stored cross-site scripting (XSS) vulnerability exploitable by attackers with Item/Configure permission.
20 CVE-2022-36904 862 2022-07-27 2022-08-03
0.0
None ??? ??? ??? ??? ??? ???
Jenkins Repository Connector Plugin 2.2.0 and earlier does not perform a permission check in a method implementing form validation, allowing attackers with Overall/Read permission to check for the existence of an attacker-specified file path on the Jenkins controller file system.
21 CVE-2022-36903 862 2022-07-27 2022-08-03
0.0
None ??? ??? ??? ??? ??? ???
A missing permission check in Jenkins Repository Connector Plugin 2.2.0 and earlier allows attackers with Overall/Read permission to enumerate credentials IDs of credentials stored in Jenkins.
22 CVE-2022-36902 79 XSS 2022-07-27 2022-08-03
0.0
None ??? ??? ??? ??? ??? ???
Jenkins Dynamic Extended Choice Parameter Plugin 1.0.1 and earlier does not escape several fields of Moded Extended Choice parameters, resulting in a stored cross-site scripting (XSS) vulnerability exploitable by attackers with Item/Configure permission.
23 CVE-2022-36901 668 2022-07-27 2022-08-03
0.0
None ??? ??? ??? ??? ??? ???
Jenkins HTTP Request Plugin 1.15 and earlier stores HTTP Request passwords unencrypted in its global configuration file on the Jenkins controller where they can be viewed by users with access to the Jenkins controller file system.
24 CVE-2022-36898 862 2022-07-27 2022-08-03
0.0
None ??? ??? ??? ??? ??? ???
A missing permission check in Jenkins Compuware ISPW Operations Plugin 1.0.8 and earlier allows attackers with Overall/Read permission to enumerate hosts and ports of Compuware configurations and credentials IDs of credentials stored in Jenkins.
25 CVE-2022-36897 862 2022-07-27 2022-08-03
0.0
None ??? ??? ??? ??? ??? ???
A missing permission check in Jenkins Compuware Xpediter Code Coverage Plugin 1.0.7 and earlier allows attackers with Overall/Read permission to enumerate hosts and ports of Compuware configurations and credentials IDs of credentials stored in Jenkins.
26 CVE-2022-36896 862 2022-07-27 2022-08-03
0.0
None ??? ??? ??? ??? ??? ???
A missing permission check in Jenkins Compuware Source Code Download for Endevor, PDS, and ISPW Plugin 2.0.12 and earlier allows attackers with Overall/Read permission to enumerate hosts and ports of Compuware configurations and credentials IDs of credentials stored in Jenkins.
27 CVE-2022-36895 862 2022-07-27 2022-08-03
0.0
None ??? ??? ??? ??? ??? ???
A missing permission check in Jenkins Compuware Topaz Utilities Plugin 1.0.8 and earlier allows attackers with Overall/Read permission to enumerate hosts and ports of Compuware configurations and credentials IDs of credentials stored in Jenkins.
28 CVE-2022-36894 22 Dir. Trav. 2022-07-27 2022-08-03
0.0
None ??? ??? ??? ??? ??? ???
An arbitrary file write vulnerability in Jenkins CLIF Performance Testing Plugin 64.vc0d66de1dfb_f and earlier allows attackers with Overall/Read permission to create or replace arbitrary files on the Jenkins controller file system with attacker-specified content.
29 CVE-2022-36893 862 2022-07-27 2022-08-03
0.0
None ??? ??? ??? ??? ??? ???
Jenkins rpmsign-plugin Plugin 0.5.0 and earlier does not perform a permission check in a method implementing form validation, allowing attackers with Item/Read permission but without Item/Workspace or Item/Configure permission to check whether attacker-specified file patterns match workspace contents.
30 CVE-2022-36892 862 2022-07-27 2022-08-03
0.0
None ??? ??? ??? ??? ??? ???
Jenkins rhnpush-plugin Plugin 0.5.1 and earlier does not perform a permission check in a method implementing form validation, allowing attackers with Item/Read permission but without Item/Workspace or Item/Configure permission to check whether attacker-specified file patterns match workspace contents.
31 CVE-2022-36891 862 2022-07-27 2022-08-03
0.0
None ??? ??? ??? ??? ??? ???
A missing permission check in Jenkins Deployer Framework Plugin 85.v1d1888e8c021 and earlier allows attackers with Item/Read permission but without Deploy Now/Deploy permission to read deployment logs.
32 CVE-2022-36890 22 Dir. Trav. 2022-07-27 2022-08-03
0.0
None ??? ??? ??? ??? ??? ???
Jenkins Deployer Framework Plugin 85.v1d1888e8c021 and earlier does not restrict the name of files in methods implementing form validation, allowing attackers with Item/Read permission to check for the existence of an attacker-specified file path on the Jenkins controller file system.
33 CVE-2022-36889 22 Dir. Trav. 2022-07-27 2022-08-03
0.0
None ??? ??? ??? ??? ??? ???
Jenkins Deployer Framework Plugin 85.v1d1888e8c021 and earlier does not restrict the application path of the applications when configuring a deployment, allowing attackers with Item/Configure permission to upload arbitrary files from the Jenkins controller file system to the selected service.
34 CVE-2022-36888 862 2022-07-27 2022-08-03
0.0
None ??? ??? ??? ??? ??? ???
A missing permission check in Jenkins HashiCorp Vault Plugin 354.vdb_858fd6b_f48 and earlier allows attackers with Overall/Read permission to obtain credentials stored in Vault with attacker-specified path and keys.
35 CVE-2022-36887 352 CSRF 2022-07-27 2022-08-03
0.0
None ??? ??? ??? ??? ??? ???
A cross-site request forgery (CSRF) vulnerability in Jenkins Job Configuration History Plugin 1155.v28a_46a_cc06a_5 and earlier allows attackers to delete entries from job, agent, and system configuration history, or restore older versions of job, agent, and system configurations.
36 CVE-2022-36886 352 CSRF 2022-07-27 2022-08-03
0.0
None ??? ??? ??? ??? ??? ???
A cross-site request forgery (CSRF) vulnerability in Jenkins External Monitor Job Type Plugin 191.v363d0d1efdf8 and earlier allows attackers to create runs of an external job.
37 CVE-2022-36885 208 2022-07-27 2022-08-03
0.0
None ??? ??? ??? ??? ??? ???
Jenkins GitHub Plugin 1.34.4 and earlier uses a non-constant time comparison function when checking whether the provided and computed webhook signatures are equal, allowing attackers to use statistical methods to obtain a valid webhook signature.
38 CVE-2022-36884 200 +Info 2022-07-27 2022-08-03
0.0
None ??? ??? ??? ??? ??? ???
The webhook endpoint in Jenkins Git Plugin 4.11.3 and earlier provide unauthenticated attackers information about the existence of jobs configured to use an attacker-specified Git repository.
39 CVE-2022-36883 862 2022-07-27 2022-08-03
0.0
None ??? ??? ??? ??? ??? ???
A missing permission check in Jenkins Git Plugin 4.11.3 and earlier allows unauthenticated attackers to trigger builds of jobs configured to use an attacker-specified Git repository and to cause them to check out an attacker-specified commit.
40 CVE-2022-36882 352 CSRF 2022-07-27 2022-08-03
0.0
None ??? ??? ??? ??? ??? ???
A cross-site request forgery (CSRF) vulnerability in Jenkins Git Plugin 4.11.3 and earlier allows attackers to trigger builds of jobs configured to use an attacker-specified Git repository and to cause them to check out an attacker-specified commit.
41 CVE-2022-36881 322 2022-07-27 2022-08-02
0.0
None ??? ??? ??? ??? ??? ???
Jenkins Git client Plugin 3.11.0 and earlier does not perform SSH host key verification when connecting to Git repositories via SSH, enabling man-in-the-middle attacks.
42 CVE-2022-34818 862 2022-06-30 2022-07-08
4.0
None Remote Low ??? None Partial None
Jenkins Failed Job Deactivator Plugin 1.2.1 and earlier does not perform permission checks in several views and HTTP endpoints, allowing attackers with Overall/Read permission to disable jobs.
43 CVE-2022-34817 352 CSRF 2022-06-30 2022-07-08
4.3
None Remote Medium Not required None Partial None
A cross-site request forgery (CSRF) vulnerability in Jenkins Failed Job Deactivator Plugin 1.2.1 and earlier allows attackers to disable jobs.
44 CVE-2022-34816 256 2022-06-30 2022-07-08
4.0
None Remote Low ??? Partial None None
Jenkins HPE Network Virtualization Plugin 1.0 stores passwords unencrypted in its global configuration file on the Jenkins controller where they can be viewed by users with access to the Jenkins controller file system.
45 CVE-2022-34815 352 CSRF 2022-06-30 2022-07-08
4.3
None Remote Medium Not required None Partial None
A cross-site request forgery (CSRF) vulnerability in Jenkins Request Rename Or Delete Plugin 1.1.0 and earlier allows attackers to accept pending requests, thereby renaming or deleting jobs.
46 CVE-2022-34814 863 2022-06-30 2022-07-08
4.0
None Remote Low ??? Partial None None
Jenkins Request Rename Or Delete Plugin 1.1.0 and earlier does not correctly perform a permission check in an HTTP endpoint, allowing attackers with Overall/Read permission to view an administrative configuration page listing pending requests.
47 CVE-2022-34813 862 2022-06-30 2022-07-08
4.0
None Remote Low ??? None Partial None
A missing permission check in Jenkins XPath Configuration Viewer Plugin 1.1.1 and earlier allows attackers with Overall/Read permission to create and delete XPath expressions.
48 CVE-2022-34812 352 CSRF 2022-06-30 2022-07-08
4.3
None Remote Medium Not required None Partial None
A cross-site request forgery (CSRF) vulnerability in Jenkins XPath Configuration Viewer Plugin 1.1.1 and earlier allows attackers to create and delete XPath expressions.
49 CVE-2022-34811 862 2022-06-30 2022-07-08
4.0
None Remote Low ??? Partial None None
A missing permission check in Jenkins XPath Configuration Viewer Plugin 1.1.1 and earlier allows attackers with Overall/Read permission to access the XPath Configuration Viewer page.
50 CVE-2022-34810 862 2022-06-30 2022-07-08
4.0
None Remote Low ??? Partial None None
A missing check in Jenkins RQM Plugin 2.8 and earlier allows attackers with Overall/Read permission to enumerate credentials IDs of credentials stored in Jenkins.
Total number of vulnerabilities : 852   Page : 1 (This Page)2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18
CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.